# Get fleet data Retrieves aircraft fleet data with pagination capabilities. Features: - Returns both active and inactive aircraft in the fleet - Paginated results with configurable limit (0–50) and offset - Default sorting by updated date and time (descending) Endpoint: GET /api/v2/aircraft Version: 2.6.0 Security: X-Api-Client-Id, X-Auth-Token ## Query parameters: - `limit` (integer) Maximum number of records to return. Example: 20 - `offset` (integer) Number of records to skip before starting to return results. - `sort` (string) Sort criteria in the format: field direction Supported sort fields: - updatedAtDateTime (default: desc) Example: "updatedAtDateTime desc" ## Response 200 fields (application/json): - `data` (array) - `data.id` (string) Example: "12345" - `data.tailNumber` (string) Example: "N123AB" - `data.name` (string) Example: "Gulfstream G650" - `data.notes` (string) - `data.typeOfUse` (string) Enum: "CHARTER", "PRIVATE" - `data.numberOfSeats` (integer) Example: 14 - `data.status` (string) Enum: "OTHER", "ACTIVE", "INACTIVE" - `data.homeBase` (string) Example: "EGLL" - `data.category` (string) Enum: "PISTON", "TURBO_PROP", "VERY_LIGHT_JET", "LIGHT_JET", "SUPER_LIGHT_JET", "MIDSIZE_JET", "SUPER_MIDSIZE_JET", "HEAVY_JET", "ULTRA_LONG_RANGE_JET", "VIP_JET", "AIRLINER", "AMPHIBIAN", "GYROCOPTER", "HELICOPTER", "SEA_PLANE", "TILT_ROTOR" - `data.updatedAtDateTime` (string) Example: "2025-01-15T10:30:00.000Z" - `data.createdAtDateTime` (string) Example: "2024-01-15T10:30:00.000Z" - `pagination` (object) - `pagination.offset` (integer) - `pagination.limit` (integer) Example: 20 - `pagination.totalItems` (integer) Example: 150 - `pagination.sortItems` (array) Example: ["issueDate desc"] - `pagination.filters` (array) - `pagination.filters.field` (string) - `pagination.filters.operator` (string) - `pagination.filters.value` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields